title: Development
parent: Home
menu-position: 5
---

# Development

## Software Repositories

The [Nagios Plugins Development Team][team] takes care of three projects:

* Nagios Plugins &mdash; the core bundle of standard plugins.
* Nagios::Plugin &mdash; a module used by plugins written in Perl.
* NagiosMIB &mdash; SNMP MIB files for traps sent from [Nagios][nagios].

These projects are maintained in separate repositories on [GitHub][github]:

* <https://github.com/nagios-plugins/repositories>

Contributions are always welcome!  If you'd like to provide patches, please
[fork][fork] the desired repository and submit a [pull request][pull].  In
case you're not familiar with Git, you might want to look into [Scott
Chacon][scott]'s [Pro Git][book] book available on the [Git web site][git]
first.

## Development Guidelines

Apart from the actual code, the [team][team] also maintains the official
[Nagios Plugin Development Guidelines][guidelines].  If you plan on
contributing to the standard plugins package, or writing your own checks, you
should read them!

[team]: team.html "Nagios Plugins Development Team"
[nagios]: http://www.nagios.org/ "Nagios"
[github]: https://github.com/ "GitHub"
[fork]: https://help.github.com/articles/fork-a-repo "Fork Documentation"
[pull]: https://help.github.com/articles/using-pull-requests "Pull Request Documentation"
[scott]: http://scottchacon.com/ "Scott Chacon"
[book]: http://git-scm.com/book "Pro Git"
[git]: http://git-scm.com/ "Git"
[guidelines]: doc/guidelines.html "Nagios Plugin Development Guidelines"

<!--% # vim:set filetype=markdown textwidth=78 joinspaces: # %-->
