title: Home
menu-position: 1
---

# The Nagios Plugins Project

We, the [Nagios Plugins Development Team][team], maintain a bundle of more
than fifty standard plugins for [Nagios][nagios], [Icinga][icinga],
[Shinken][shinken], and other monitoring applications that use the
straightforward plugin interface [originally invented][history] by the [Nagios
folks][folks].  Each plugin is a stand-alone command line tool that provides a
specific type of check.  Typically, your monitoring software runs these
plugins to determine the current status of hosts and services on your network.

Some of the provided plugins let you check local system metrics (such as [load
averages][load], [processes][procs], or [disk space usage][disk]), others use
various network protocols (such as [ICMP][icmp], [SNMP][snmp], or
[HTTP][http]) to perform remote checks.  This allows for checking a large
number of common host and service types.  For more specific needs, thousands
of community-contributed plugins can be found on sites such as [Nagios
Exchange][nagex] or [Monitoring Exchange][monex].

In addition to the core plugins bundle, we maintain a [Perl module][module]
that makes it [easy][presentation] to write your own plugin.  We also take
care of an SNMP MIB used for traps sent from Nagios, and of the [Nagios Plugin
Development Guidelines][guidelines].

You can get the latest releases from the [download page][download].

[team]: team.html "Nagios Plugins Development Team"
[nagios]: http://www.nagios.org/ "Nagios"
[icinga]: https://www.icinga.org/ "Icinga"
[shinken]: http://www.shinken-monitoring.org/ "Shinken"
[history]: http://www.nagios.org/about/history "Nagios (Plugins) History"
[folks]: http://www.nagios.org/about/team "Nagios Team"
[load]: man/check_load.html "check_load"
[procs]: man/check_procs.html "check_procs"
[disk]: man/check_disk.html "check_disk"
[icmp]: man/check_icmp.html "check_icmp"
[snmp]: man/check_snmp.html "check_snmp"
[http]: man/check_http.html "check_http"
[nagex]: http://exchange.nagios.org/directory/Plugins "Plugins on Nagios Exchange"
[monex]: https://www.monitoringexchange.org/inventory/Check-Plugins "Plugins on Monitoring Exchange"
[module]: http://search.cpan.org/dist/Nagios-Plugin/ "Nagios::Plugin Module"
[guidelines]: doc/guidelines.html "Monitoring Plugin Development Guidelines"
[presentation]: doc/presentation.html "Nagios::Plugin Presentation"
[download]: download.html "Download"

<!--% # vim:set filetype=markdown textwidth=78 joinspaces: # %-->
